#!/usr/bin/python
import re
import sys


grub_file='/etc/default/grub'

def __activate(arg):
	#Changing default for future kernel install
	if not arg in open(grub_file).read():
		#Add it to the proper place
    		newlines = []
		with open(grub_file,'r') as f:
    			for line in f.readlines():
				if "GRUB_CMDLINE_LINUX=" in line: 
					line=line[:-2]   #\n and "
					#Add 2 arguments
					line = line + ' ' + arg + '"\n'
				newlines.append(line)

		with open(grub_file, 'w') as f:
    			for line in newlines:
        			f.write(line)

		print("%s successfully added to grub file" % arg)
	else:
		print("%s instruction already present in grub default file" % arg)



def __remove(arg):
        #Changing default for future kernel install
        if arg in open(grub_file).read():
                #remove it to the proper place
                #print("%s found in grub file" % arg)
                newlines = []
                with open(grub_file,'r') as f:
                        for line in f.readlines():
                                if "GRUB_CMDLINE_LINUX=" in line:
                                        #print("line=[%s]" % line)
					regex=r"("+ arg + r"=*[A-Za-z0-9@]*)"
					#print("regex=%s" % regex)
					line = re.sub(regex, '', line) 
                                        line=re.sub(' +',' ',line)   #avoid having too much spaces when activating/desactivating
                                        #print("line4=[%s]" % line)
                                newlines.append(line)

                with open(grub_file, 'w') as f:
                        for line in newlines:
                                f.write(line)

		print("%s successfully removed from grub file" % arg)

if __name__ == '__main__':
	if(len(sys.argv) != 3):
		print("Usage: ./tbkdumpinstallgrub.py <install|remove> <argument>")
		sys.exit(1)

	if sys.argv[1] == 'install':
		__activate(sys.argv[2])
	elif sys.argv[1] == 'remove':
		__remove(sys.argv[2])
		
